<template>
  <div>
    <div class="row">
      <div class="col-md-6 py-2 col-sm-12">
        <label for="input-large">Nomor DMP</label>

        <b-form-input
          id="input-large"
          size="lg"
          v-model="form.number"
          @blur="update"
        ></b-form-input>
      </div>

      <div class="col-md-6 py-2 col-sm-12">
        <label for="input-large">Nama EVP</label>

        <b-form-input
          id="input-large"
          @blur="update"
          size="lg"
          v-model="form.evp_name"
        ></b-form-input>
      </div>

      <div class="col-md-6 py-2 col-sm-12">
        <label for="input-large">Revision</label>

        <b-form-input
          id="input-large"
          @blur="update"
          size="lg"
          v-model="form.revision"
        ></b-form-input>
      </div>

      <div class="col-md-6 py-2 col-sm-12">
        <label for="input-large">Nama VP</label>

        <b-form-input
          id="input-large"
          @blur="update"
          size="lg"
          v-model="form.vp_name"
        ></b-form-input>
      </div>

      <div class="col-md-6 py-2 col-sm-12">
        <label for="input-large">Tanggal Revisi</label>

        <b-form-input
          id="input-large"
          @blur="update"
          type="date"
          size="lg"
          v-model="form.revision_date"
        ></b-form-input>
      </div>

      <div class="col-md-6 py-2 col-sm-12">
        <label for="input-large">Alur Dokumen Design</label>

        <b-form-group>
          <b-form-file id="file-large" size="lg"></b-form-file>
        </b-form-group>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "DmpInfo",
  props: {
    dmpInfo: {
      type: Object,
      default: () => {}
    }
  },
  data() {
    return {
      form: {
        number: null,
        revision: null,
        evp_name: null,
        vp_name: null,
        revision_date: null,
        document: null
      }
    };
  },
  mounted() {
    this.form = this.dmpInfo;
  },
  methods: {
    update() {
      this.$emit("setDmpInfo", {
        design_management_plan: this.form
      });
    }
  }
};
</script>
